#!/bin/sh

## live-build(7) - System Build Scripts
## Copyright (C) 2023 Phil Roche <phil.roche@canonical.com>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


Restore_packaged_apt_preferences ()
{
	if [ -d chroot/etc/apt/preferences.d.save ]; then
		Echo_message "Restoring backed up packaged preferences.d files"
		mv --verbose chroot/etc/apt/preferences.d.save/* chroot/etc/apt/preferences.d/
		rmdir --verbose chroot/etc/apt/preferences.d.save
	fi
}

Backup_packaged_apt_preferences ()
{
	if [ -n "$(ls -A chroot/etc/apt/preferences.d)" ]; then
		Echo_message "Backing up packaged preferences.d/* files ..."
		cp --archive --verbose chroot/etc/apt/preferences.d chroot/etc/apt/preferences.d.save
	fi
}

